Module java.corba
Package javax.rmi.CORBA

## Class ClassDesc

- java.lang.Object
- - javax.rmi.CORBA.ClassDesc

All Implemented Interfaces:
  Serializable

    public class ClassDesc
    extends Object
    implements Serializable

This class is used to marshal java.lang.Class objects over IIOP.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClassDesc()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassDesc

    public ClassDesc()